From: =?utf-8?q?Gonzalo_Tornar=C3=ADa?= <tornaria@cmat.edu.uy>
Date: Mon, 19 Aug 2024 21:10:52 -0300
Subject: Add a test to see #6535 is fixed

Origin: https://github.com/cython/cython/pull/6343
Bug-Upstream: https://github.com/cython/cython/issues/6335
---
 tests/run/legacy_implicit_noexcept_build.srctree | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/tests/run/legacy_implicit_noexcept_build.srctree b/tests/run/legacy_implicit_noexcept_build.srctree
index 2667e9d..2928db6 100644
--- a/tests/run/legacy_implicit_noexcept_build.srctree
+++ b/tests/run/legacy_implicit_noexcept_build.srctree
@@ -179,6 +179,10 @@ try: aa.r3(True)
 except ValueError: assert False, "ValueError not raised"
 else:              pass
 
+######## bar.pxd ########
+cdef int func_noexcept_declared_in_pxd() noexcept
+cdef int func_implicit_declared_in_pxd()
+
 ######## bar.pyx ########
 
 cdef int func_noexcept() noexcept:
@@ -187,12 +191,21 @@ cdef int func_noexcept() noexcept:
 cdef int func_implicit():
     raise RuntimeError()
 
+cdef int func_noexcept_declared_in_pxd():
+    raise RuntimeError()
+
+cdef int func_implicit_declared_in_pxd():
+    raise RuntimeError()
+
 cdef int func_return_value() except -1:
     raise RuntimeError()
 
 func_noexcept()
 func_implicit()
 
+func_noexcept_declared_in_pxd()
+func_implicit_declared_in_pxd()
+
 try:
     func_return_value()
 except RuntimeError:
